Bug 559777 - Volume jump to 100% when xmms uses the pulse plugin
Summary: Volume jump to 100% when xmms uses the pulse plugin
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xmms-pulse
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-28 22:53 UTC by Paulo Roma Cavalcanti
Modified: 2010-12-03 23:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 23:39:49 UTC


Attachments (Terms of Use)
Let PulseAudio take care of the initial volume. (1.24 KB, patch)
2010-01-28 22:55 UTC, Paulo Roma Cavalcanti
no flags Details | Diff

Description Paulo Roma Cavalcanti 2010-01-28 22:53:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Just set the xmms output plugin to pulse.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Volume goes to 100% and blows the speakers.

Expected results:

The volume should be what the user was using before calling xmms.

Additional info:

I am attaching a patch to fix the problem.

Comment 1 Paulo Roma Cavalcanti 2010-01-28 22:55:50 UTC
Created attachment 387455 [details]
Let PulseAudio take care of the initial volume.

Comment 2 David Sommerseth 2010-02-01 12:48:33 UTC
I have the same issue, but when using mplayer or vlc.  The volume is "reset" to maximum, blowing out both by headset and ears ... and it happens always.  I have not yet tried the patch, but will do that now!

Comment 3 David Sommerseth 2010-02-01 12:49:56 UTC
Duh ... I thought the patch was for PA.  Revoking my bug comments from this bug.

Comment 4 Paulo Roma Cavalcanti 2010-02-01 13:04:49 UTC
The problem you are referring to is called "PA flat volume".
A recent version of vlc and mplayer should have the fix for the volume,
or you always can use the alsa plugin in both of them.


If you set 

flat-volumes = no 

in

/etc/pulse/daemon.conf

then it should return pulse to the way it was before (like it was in F10), 
without flat volumes.

Comment 5 Kurt Driver 2010-03-22 00:13:07 UTC
I was having this problem when running Banshee. Every change of song set the volume at both Banshee and the gnome-panel to 100%, annoying to the neighbours as well as me. Thanks Paulo. Kurt

Comment 6 Bug Zapper 2010-11-03 23:39:21 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-12-03 23:39:49 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.